Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Parameters.h	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Core_Glue/include/Parameters.h	(revision 138)
@@ -34,5 +34,5 @@
   public : uint32_t              * _nb_inst_reexecute                    ;//[nb_ooo_engine]
   public : uint32_t              * _nb_inst_issue_queue                  ;//[nb_ooo_engine]
-  public : uint32_t              * _nb_inst_issue_slot                   ;//[nb_ooo_engine]
+//public : uint32_t              * _nb_inst_issue_slot                   ;//[nb_ooo_engine]
   public : uint32_t             ** _nb_inst_execute                      ;//[nb_ooo_engine][ooo_engine_nb_execute_loop]
   public : bool                  * _issue_queue_in_order                 ;//[nb_ooo_engine]
@@ -52,9 +52,12 @@
   public : Tpriority_t             _dispatch_priority                    ;
   public : Tload_balancing_t       _dispatch_load_balancing              ;
-  public : bool               **** _table_dispatch                       ;//[nb_ooo_engine][nb_inst_issue_slot][execute_loop][nb_read_unit]
+//public : bool               **** _table_dispatch                       ;//[nb_ooo_engine][nb_inst_issue_slot][execute_loop][nb_read_unit]
   public : bool                *** _table_issue_type                     ;//                                   [execute_loop][nb_read_unit][nb_type]
+  public : bool                *** _table_issue_thread                   ;//                                   [execute_loop][nb_read_unit][nb_thread]
+
   public : uint32_t             ** _translate_ooo_engine_num_front_end   ;//[nb_ooo_engine][ooo_engine_nb_front_end]
   public : uint32_t             ** _translate_ooo_engine_num_execute_loop;//[nb_ooo_engine][ooo_engine_nb_execute_loop]
   public : uint32_t             ** _translate_execute_loop_num_ooo_engine;//[nb_execute_loop][execute_loop_nb_ooo_engine]
+  public : uint32_t            *** _translate_num_context_to_num_thread  ;//[nb_ooo_engine][ooo_engine_nb_front_end][nb_context]
 
   public : uint32_t              * _link_ooo_engine_with_front_end                          ;//[nb_front_end]
@@ -65,5 +68,5 @@
 
 //public : uint32_t             ** _execute_loop_nb_inst_insert                             ;//[nb_execute_loop][execute_loop_nb_ooo_engine]
-  public : uint32_t             ** _execute_loop_nb_inst_issue_slot                         ;//[nb_execute_loop][execute_loop_nb_ooo_engine]
+//public : uint32_t             ** _execute_loop_nb_inst_issue_slot                         ;//[nb_execute_loop][execute_loop_nb_ooo_engine]
 //public : uint32_t              * _link_execute_loop_with_ooo_engine                       ;//[nb_ooo_engine]
 
@@ -75,5 +78,5 @@
 //public : uint32_t                _max_nb_inst_insert                    ;
   public : uint32_t                _max_nb_inst_issue_queue               ;
-  public : uint32_t                _max_nb_inst_issue_slot                ;
+//public : uint32_t                _max_nb_inst_issue_slot                ;
   public : uint32_t                _max_nb_read_unit                      ;
 
@@ -90,8 +93,8 @@
    uint32_t              * front_end_nb_inst_branch_complete    ,//[nb_front_end]
    uint32_t              * ooo_engine_nb_inst_branch_complete   ,//[nb_ooo_engine]
-//    uint32_t              * nb_inst_insert                       ,//[nb_ooo_engine]
+// uint32_t              * nb_inst_insert                       ,//[nb_ooo_engine]
    uint32_t              * nb_inst_reexecute                    ,//[nb_ooo_engine]
    uint32_t              * nb_inst_issue_queue                  ,//[nb_ooo_engine]
-   uint32_t              * nb_inst_issue_slot                   ,//[nb_ooo_engine]
+// uint32_t              * nb_inst_issue_slot                   ,//[nb_ooo_engine]
    uint32_t             ** nb_inst_execute                      ,//[nb_ooo_engine][ooo_engine_nb_execute_loop]
    bool                  * issue_queue_in_order                 ,//[nb_ooo_engine]
@@ -108,10 +111,12 @@
    Tpriority_t             dispatch_priority                    ,
    Tload_balancing_t       dispatch_load_balancing              ,
-   bool               **** table_dispatch                       ,//[nb_ooo_engine][nb_inst_issue_slot][execute_loop][nb_read_unit]
+// bool               **** table_dispatch                       ,//[nb_ooo_engine][nb_inst_issue_slot][execute_loop][nb_read_unit]
    bool                *** table_issue_type                     ,//                                   [execute_loop][nb_read_unit][nb_type]
-// bool                *** table_issue_thread                   ,//                                   [execute_loop][nb_read_unit][nb_thread]
+   bool                *** table_issue_thread                   ,//                                   [execute_loop][nb_read_unit][nb_thread]
    uint32_t             ** translate_ooo_engine_num_front_end   ,//[nb_ooo_engine][ooo_engine_nb_front_end]
    uint32_t             ** translate_ooo_engine_num_execute_loop,//[nb_ooo_engine][ooo_engine_nb_execute_loop]
    uint32_t             ** translate_execute_loop_num_ooo_engine,//[nb_execute_loop][execute_loop_nb_ooo_engine]
+   uint32_t            *** translate_num_context_to_num_thread  ,//[nb_ooo_engine][ooo_engine_nb_front_end][nb_context]
+
    bool                    is_toplevel=false);
 
